/*
 * EBitmap protocol information
 *
 * Copyright 1997-1998 Geoffrey Clements
 *
 * License:
 * 		This code may be freely used in your programs.
 */

/*
	
	EBitmap.h
	
*/

#ifndef EBITMAP_H
#define EBITMAP_H

// This gets stored in the what field of the BMessage
// Also used to specify type in a datatype handler

enum {
	E_BITMAP = 'EBmp'
};

/* storage modes */
enum {
	E_STORAGE_FOLLOWS,
	E_STORAGE_POINTER,
	E_STORAGE_AREA_ID,
	E_STORAGE_SELF,
	E_STORAGE_NONE,
	E_STORAGE_FILE
};

/* resolution units */
enum {
	E_INCHES,
	E_CENTIMETERS
};

/* orientations */
enum {
	E_TOPLEFT,	/* row 0 top, col 0 lhs */
	E_TOPRIGHT,	/* row 0 top, col 0 rhs */
	E_BOTRIGHT,	/* row 0 bottom, col 0 rhs */
	E_BOTLEFT,	/* row 0 bottom, col 0 lhs */
	E_LEFTTOP,	/* row 0 lhs, col 0 top */
	E_RIGHTTOP,	/* row 0 rhs, col 0 top */
	E_RIGHTBOT,	/* row 0 rhs, col 0 bottom */
	E_LEFTBOT	/* row 0 lhs, col 0 bottom */
};

#endif
